package gs.datagen.v0.generators

import gs.datagen.v0.Gen

final class GenList[A](
  val size: Size,
  val generator: Gen[A]
) extends Gen[List[A]]:

  override def generate(input: Any): List[A] =
    List.fill(size.next(Gen.rng()))(generator.generate(()))
