package gs.datagen.v0.generators

import gs.datagen.v0.Gen

final class GenSet[A](
  val size: Size,
  val generator: Gen[A]
) extends Gen[Set[A]]:

  override def generate(input: Any): Set[A] =
    Set.fill(size.next(Gen.rng()))(generator.generate(()))
