package gs.datagen.v0.generators

import gs.datagen.v0.Gen

final class GenString(
  val alphabet: Alphabet,
  val size: Size
) extends Gen[String]:

  override def generate(input: Any): String =
    val rng = Gen.rng()
    alphabet.fill(rng, size.next(rng))
